/*!    
 * Copyright (c) 2014 ENEO Tecnología S.L.
 * This file is part of redBorder.
 * redBorder is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * redBorder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * You should have received a copy of the GNU Affero General Public License
 * along with redBorder. If not, see <http://www.gnu.org/licenses/>.
 */

$(document).on('click', 'div#import_ipvars_modal div.form-actions input.btn-success', function(e) {
  var csv_file = $('input#setting_csv_file').val();  
  
  if (!csv_file || /^\s*$/.test(csv_file)) {
    $('input#setting_csv_file').addClass('form-error');    
  } else {
    $('div#import_ipvars_modal form').submit();
  };
      
  return false;
});

$(document).on('click', 'div#import_portvars_modal div.form-actions input.btn-success', function(e) {
  var csv_file = $('input#setting_csv_file').val();  
  
  if (!csv_file || /^\s*$/.test(csv_file)) {
    $('input#setting_csv_file').addClass('form-error');    
  } else {
    $('div#import_portvars_modal form').submit();
  };
      
  return false;
});

$(document).ready(function () {
  var $sensorForm = $("#ips_sensor_form");

  if ($sensorForm.length) {
    $sensorForm.on("submit", function (event) {
      var isValid = true;
      var $rows = $("#collapseGroups tbody tr");

      if ($rows.length) {
        $rows.each(function () {
          var hasCheckedCPU = false;
          var $cpuCheckboxes = $(this).find("td[data-type='cpu'] input[type='checkbox']");

          if ($cpuCheckboxes.length) {
            $cpuCheckboxes.each(function () {
              if ($(this).is(":checked")) {
                hasCheckedCPU = true;
                return false;
              }
            });
          }

          // If no CPU is checked in this group, show an alert and prevent submission
          if (!hasCheckedCPU) {
            alert(I18n.t('javascript.select_cpu'));
            isValid = false;
            return false;
          }
        });
      }

      // If validation fails, prevent form submission
      if (!isValid) {
        event.preventDefault();
        return false;
      }
    });
  }
});
